summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2007-11-08 09:42:55 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2007-11-08 09:42:55 +0000
commit00a2b61d638c56a34bdef06144293eb0d435730c (patch)
treecc9b606b69612cf32d6913266ada29a27cd6de85 /eclass/mysql.eclass
parentVersion bump. (diff)
downloadhistorical-00a2b61d638c56a34bdef06144293eb0d435730c.tar.gz
historical-00a2b61d638c56a34bdef06144293eb0d435730c.tar.bz2
historical-00a2b61d638c56a34bdef06144293eb0d435730c.zip
Add the FEATURES=-userpriv die so that testing fails earlier than src_test.
Diffstat (limited to 'eclass/mysql.eclass')
-rw-r--r--eclass/mysql.eclass15
1 files changed, 12 insertions, 3 deletions
diff --git a/eclass/mysql.eclass b/eclass/mysql.eclass
index 95643ee719b5..9111ba56ceaa 100644
--- a/eclass/mysql.eclass
+++ b/eclass/mysql.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mysql.eclass,v 1.82 2007/10/02 10:00:07 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mysql.eclass,v 1.83 2007/11/08 09:42:55 robbat2 Exp $
# Author: Francesco Riosa (Retired) <vivo@gentoo.org>
# Maintainer: Luca Longinotti <chtekk@gentoo.org>
@@ -455,8 +455,13 @@ pbxt_src_install() {
#
mysql_pkg_setup() {
- enewgroup mysql 60 || die "problem adding 'mysql' group"
- enewuser mysql 60 -1 /dev/null mysql || die "problem adding 'mysql' user"
+ if hasq test ${FEATURES} ; then
+ if ! use minimal ; then
+ if ! hasq userpriv ${FEATURES} ; then
+ die "Testing with FEATURES=-userpriv is no longer supported by upstream"
+ fi
+ fi
+ fi
# Check for USE flag problems in pkg_setup
if use static && use ssl ; then
@@ -478,6 +483,10 @@ mysql_pkg_setup() {
eerror "USE flags 'cluster' and 'extraengine' conflict with 'minimal' USE flag!"
die "USE flags 'cluster' and 'extraengine' conflict with 'minimal' USE flag!"
fi
+
+ # This should come after all of the die statements
+ enewgroup mysql 60 || die "problem adding 'mysql' group"
+ enewuser mysql 60 -1 /dev/null mysql || die "problem adding 'mysql' user"
mysql_check_version_range "4.0 to 5.0.99.99" \
&& use berkdb \